Cyberduck Mountain Duck CLI

#10985 reopened defect

Drag and drop to attach file to message in Mail.app

Reported by: schveiguy Owned by: dkocher
Priority: normal Milestone: 7.4
Component: core Version: 7.2.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If I drag and drop a file from a remote server to a new email, the file comes up with a cyberduck icon (see attached). I then need to use the download log to find the real file and drag it in (and delete the cyberduck one).

These are files I don't want to store on my system, they can go into a temporary location. I just want to send them via email to someone. The two step process is not ideal.

You can see from the screenshot that the cyberduck file exists next to the real file (which I manually added from Finder), and that they are not the same.

About the Log Drawer, I don't seem to have that option in my view menu. If you can help me enable it, I can attache whatever you need from there.

Attachments (2)

Screen Shot 2020-03-06 at 11.16.00 AM.png (27.6 KB) - added by schveiguy on Mar 6, 2020 at 4:20:10 PM.
Screenshot showing weird cyberduck file and manually added file that I expected side by side
Screen Shot 2020-06-30 at 10.26.12 AM.png (10.2 KB) - added by schveiguy on Jun 30, 2020 at 2:27:59 PM.
New behavior -- no data in attachment

Download all attachments as: .zip

Change History (6)

Changed on Mar 6, 2020 at 4:20:10 PM by schveiguy

Screenshot showing weird cyberduck file and manually added file that I expected side by side

comment:1 Changed on Apr 15, 2020 at 9:30:34 PM by dkocher

  • Summary changed from Drag and Drop to mac mail stores a cyberduck file to Drag and drop to attach file to message in Mail.app

comment:2 Changed on May 22, 2020 at 9:32:25 AM by dkocher

  • Milestone set to 7.4
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on May 25, 2020 at 9:30:34 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49269.

Changed on Jun 30, 2020 at 2:27:59 PM by schveiguy

New behavior -- no data in attachment

comment:4 Changed on Jun 30, 2020 at 2:28:33 PM by schveiguy

  • Resolution fixed deleted
  • Status changed from closed to reopened

I have 7.4.1, and the behavior has changed, but is still not correct. Now the file has a correct icon, but has no data (see new screenshot). I need to drag twice, and on the second drag, it copies the file that I first downloaded, and cyberduck is asking me if it should overwrite the file.

It seems the attach is happening before the file is downloaded.

I would expect a drag to download the file first, then attach the file that was downloaded into the Mail app.

Thanks for your attention to this. I am not familiar with your development workflow, so I don't know whether I should open a new issue or not. I reopened this one, if you need me to open a new issue, I will.

Note: See TracTickets for help on using tickets.
swiss made software